--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Creates a new Model class with default_storage_name <tt>storage_name</tt>
- !ruby/struct:SM::Flow::P 
  body: If a block is passed, it will be eval'd in the context of the new Model
- !ruby/struct:SM::Flow::P 
  body: "@param [Proc] block"
- !ruby/struct:SM::Flow::VERB 
  body: "  a block that will be eval'd in the context of the new Model class\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [Model]"
- !ruby/struct:SM::Flow::VERB 
  body: "  the newly created Model class\n"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Model::new
is_singleton: true
name: new
params: (storage_name = nil, &block)
visibility: public
